Index: mkdep
===================================================================
RCS file: /usr/cvsroot/libpri/mkdep,v
retrieving revision 1.3
diff -u -r1.3 mkdep
--- mkdep	15 Dec 2004 20:15:28 -0000	1.3
+++ mkdep	2 Feb 2005 21:32:50 -0000
@@ -100,10 +100,22 @@
 		rm -rf $DTMP
 		exit 1
 	fi
+	cat $TMP | sed -e 's/\.o:/.lo:/g' >>$D
+	if [ $? != 0 ]; then
+		echo 'mkdep: append failed.'
+		rm -rf $DTMP
+		exit 1
+	fi
 else
-	mv $TMP $D
+	cat $TMP > $D
+	if [ $? != 0 ]; then
+		echo 'mkdep: overwrite failed.'
+		rm -rf $DTMP
+		exit 1
+	fi
+	cat $TMP | sed -e 's/\.o:/.lo:/g' >>$D
 	if [ $? != 0 ]; then
-		echo 'mkdep: rename failed.'
+		echo 'mkdep: append failed.'
 		rm -rf $DTMP
 		exit 1
 	fi
